org.apache.commons.math3.analysis

## Interface MultivariateVectorFunction

- All Known Subinterfaces:
    DifferentiableMultivariateVectorFunction, MultivariateDifferentiableVectorFunction
  All Known Implementing Classes:
    CurveFitter.OldTheoreticalValuesFunction, CurveFitter.TheoreticalValuesFunction, GradientFunction

      public interface MultivariateVectorFunction

  An interface representing a multivariate vectorial function.
  Since:
    2.0
  Version:
    $Id: MultivariateVectorFunction.java 1364387 2012-07-22 18:14:11Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `value(double[] point)` Compute the value for the function at the given point.

- - ### Method Detail

    - #### value

          double[] value(double[] point)
                         throws IllegalArgumentException

      Compute the value for the function at the given point.
      Parameters:
        `point` - point at which the function must be evaluated
      Returns:
        function value for the given point
      Throws:
        `IllegalArgumentException` - if points dimension is wrong

Copyright (c) 2003-2013 Apache Software Foundation